SK

Print

Changes in Smart-ID service

15.11.2021

Dear partner,

From November 2021 we are implementing new restrictions in Smart-ID to restrict end-users from using older Smart-ID applications on their devices. 
Application versions older than 19 will start to not work and user will be prompted with an error to update Smart-ID application.
This change is necessary for security reasons and to provide improved user experience.

We will also make Smart-ID endpoint changes to increase system security.
Most important configuration change will be on 18.11.2021 to rp-api.smart-id.com which is used for Smart-ID transactions.

Changes include:

  • disable weak Diffie-Hellman (DH) key exchange parameters;
  • disable outdated TLS 1.0 and TLS 1.1.

We have implemented these restrictions to Smart-ID Demo environment already so it would be possible to test these changes.

For questions contact support[A]smart-ID.com.

Regards
SK ID Solutions AS